/* ========================== */
/* ========= GLOBAL ========= */
/* ========================== */

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  scroll-behavior: smooth;
}

header{
  position: sticky;
  top: 0;
  z-index: 9999;
}

body{
  min-height: 100vh;
}


/* NAVBAR */

.navbar{
  position: sticky;
  top: 0;
  width: 100%;
  height: 80px;
  background: #065784;
  box-shadow: 0 1px 5px rgba(0,0,0,.5) ;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* LOGO */

.navbar-logo{
  margin-left: 100px;
  display: flex;
  align-items: center;
  transition: opacity .25s, transform .15s;
}

.navbar-logo img{
  max-height: 55px;
  width: auto;
  display: block;
}

/* LIENS MENU */

.navbar-links{
  margin-right: 100px;
  display: flex;
  gap: 100px;
  align-items: center;
  margin-left: 50px;
}

.navbar-links a,
.mobile-menu a{
  font-family: "Momo Trust Display";
  color: white;
  font-size: 25px;
  text-decoration: none;
  transition: opacity .25s, transform .15s;
  -webkit-tap-highlight-color: transparent;
}

/* EFFET HOVER */

.navbar-links a:hover,
.navbar-logo:hover{
  opacity: .7;
}

/* EFFET AU CLIC */

.navbar-links a:active,
.mobile-menu a:active,
.navbar-logo:active{
  opacity: .7;
  transform: scale(.95);
}

/* MENU BURGER */

.burger{
  display: none;
  position: absolute;
  right: 30px;
  width: 30px;
  height: 40px;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 10001;
}

.burger span{
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background: white;
  border-radius: 999px;
  transition: .35s;
}

.burger span:nth-child(1){
  top: 8px;
}

.burger span:nth-child(2){
  top: 20px;
}

.burger span:nth-child(3){
  top: 32px;
}

.burger span:nth-child(4){
  top: 44px;
}

.burger.active span:nth-child(1){
  transform:
    rotate(45deg)
    translate(9px,9px);
}

.burger.active span:nth-child(2){
  opacity: 0;
}

.burger.active span:nth-child(3){
  transform:
    rotate(-45deg)
    translate(8px,-8px);
}

/* MENU TEL */

.mobile-menu{
  position: fixed;
  inset: 0;
  background: #065784;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 50px;
  transform: translateY(-100%);
  opacity: 0;
  visibility: hidden;
  transition: transform .45s ease, opacity .45s ease;
}

.mobile-menu.open{
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
}

/* FOOTER */


.footer{
  background: #1a1a1a;
  color: #ffffff;
  padding: 75px 100px;
}

.footer-inner{
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* RETOUR HAUT */
.footer-top{
  font-family: "Momo Trust Display";
  font-size: 30px;
  color: #ffffff;
  text-decoration: none;
  text-align: center;
  background: none;
  border: none;
  cursor: pointer;
  transition: opacity .2s ease;
}

.footer-top:hover{
  opacity: 0.7;
}

.footer-links{
  margin-top: 35px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.footer-links a,
.footer-cookies{
  font-family: "Momo Trust Sans";
  font-size: 20px;
  font-weight: 600;
  color: #ffffff;
  text-decoration: none;
  background: none;
  border: none;
  cursor: pointer;
  text-align: center;
  transition: opacity .2s ease;
}

.footer-links a:hover,
.footer-cookies:hover{
  opacity: 0.7;
}

.footer-bottom{
  margin-top: 75px;
  font-family: "Momo Trust Sans";
  font-size: 18px;
  font-weight: 300;
  color: #ffffff;
}


/* ===== RESPONSIVE ===== */

/* NAVBAR */

@media(max-width:1100px) {

.navbar{
  justify-content: center;
}

.navbar-logo{
  margin: 0;
}

.navbar-logo img{
  max-height: 50px;
}

.navbar-links{
  display: none;
}

.burger{
  display: block;
}
}

@media(max-width:1400px){

.navbar{
padding-right: 0px;
}

.navbar-links{
gap:70px;
}

.navbar-links a{
font-size:25px;
}

}



/* FOOTER */

@media(max-width:1100px) {

.footer{
  padding: 60px 30px;
}

.footer-top{
  font-size: 26px;
}

.footer-links{
  margin-top: 30px;
  gap: 16px;
}

.footer-links a,
.footer-cookies{
  font-size: 18px;
}

.footer-bottom{
  margin-top: 60px;
  font-size: 16px;
}
}

@media(max-width:600px) {

.footer{
  padding: 50px 25px;
}

.footer-inner{
  align-items: center;
  text-align: center;
}

.footer-top{
  font-size: 24px;
}

.footer-links{
  align-items: center;
  gap: 14px;
}

.footer-links a,
.footer-cookies{
  font-size: 16px;
  text-align: center;
}

.footer-bottom{
  margin-top: 50px;
  font-size: 14px;
}
}


/* ========================== */
/* ====== PAGE PROJETS ====== */
/* ========================== */

.project-page{
  min-height: auto;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
}

.project-page-header{
margin: 70px 100px 0 100px;
}

.project-page-content{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.project-back{
  font-family: "Momo Trust Sans";
  text-decoration: underline;
  color: #5E5E5E;
  font-weight: 600;
  font-size: 16px;
}

.project-page-title{
  font-family: "Momo Trust Display";
  font-size: 50px;
  color: #1a1a1a;
  text-align: center;
}

.project-page-subtitle{
  font-family: "Momo Trust Sans";
  font-size: 25px;
  color: #065784;
  text-align: center;
  margin-top: 20px;
  max-width: 900px;
  padding-bottom: 50px;
}


/* ========================== */
/* ========= SLIDER ========= */
/* ========================== */

.project-slider{
  position: relative;
  width: 100%;
  max-height: 800px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 80px;
}

.project-slider-track{
  width: 100%;
  display: flex;
  height: 100%;
  transition: transform .5s ease;
}

.project-slide{
  min-width: 100%;
}

.project-slide img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}

/* ARROWS */
.project-arrow{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  background: rgba(0,0,0,.25);
  color: white;
  font-size: 100px;
  width: 70px;
  height: 230px;
  cursor: pointer;
  z-index: 10;
  transition: .2s;
}

.project-arrow:hover{
  background: rgba(0,0,0,.45);
  transform: translateY(-50%) scale(.95);
}

.project-prev{ left: 20px; }
.project-next{ right: 20px; }


.lightbox{
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,.9);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 99999;
  padding: 80px 30px;
}

.lightbox.active{
  display: flex;
}

.lightbox-img{
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.lightbox-close{
  position: absolute;
  top: 30px;
  right: 40px;
  font-size: 50px;
  color: white;
  cursor: pointer;
  user-select: none;
  transition: .2s;
}

.lightbox-close:hover{
  opacity: .6;
}


/* ===== RESPONSIVE ===== */

@media(max-width:1100px) {

.project-page{
  min-height: auto;
  display: flex;
  flex-direction: column;
}

.project-page-header{
  margin: 30px 30px 10px 30px;
}

.project-back{
  font-size: 14px;
}

.project-page-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 30px;
    margin-right: 30px;
}

.project-page-title{
  font-size: 36px;
}

.project-page-subtitle{
  font-size: 18px;
  max-width: 700px;
}

.project-slider {
    max-height: 600px;
    margin-bottom: 60px;
}

.project-arrow {
    font-size: 70px;
    width: 60px;
    height: 130px;
}

.project-prev { left: 10px; }
.project-next { right: 10px; }


.lightbox {
    padding: 60px 20px;
}

.lightbox-close {
    font-size: 40px;
    top: 20px;
    right: 30px;
}
}


@media(max-width:700px) {

.project-back{
  font-size: 14px;
}

.project-arrow {
    font-size: 50px;
    width: 50px;
    height: 100px;
}

}

@media(max-width:600px) {

.project-page-header{
margin: 30px 30px 10px 30px;
}

.project-page-title{
  font-size: 28px;
  line-height: 1.3;
}

.project-page-subtitle{
  font-size: 16px;
  margin-top: 15px;
  line-height: 1.3;
  max-width: 100%;
}

.lightbox {
    padding: 40px 15px;
}

.lightbox-close {
    font-size: 60px;
    top: 10px;
    right: 30px;
}

}

